### Method

# Hex Document get_buffer

#### Declaration

    HexBuffer*
    hex_document_get_buffer (
      HexDocument* doc
    )

#### Description

Get the `HexBuffer` connected with the `HexDocument`.

Gets property | `Hex.Document:buffer`

#### Return value

Type: `HexBuffer`

A pointer to the `HexBuffer` connected with the `HexDocument`, or `NULL` if no such interface is so connected.

The returned data is owned by the instance.